#include <bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("DE006.INP");
    int a[100000],i,n;
    long min;
    f1>>n;
    for(i=0;i<n;i++)
    {
    	f1>>a[i];
	}
	f1.close();
	min=a[0];
	ofstream f2("DE006.OUT");
	for(i=1;i<n;i++)
	{
		if(a[i]<=min)min=a[i];
	}
	if(min>=0)f2<<0;
	if(min<0)f2<<min;
	f2.close();
	return 0;
}
